Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # color_converted_view_type< any_image_view< ViewTypes >, DstP, CC > Struct Template Reference [color_converted_view] `#include <image_view_factory.hpp>` List of all members. ## Detailed Description ### template<typename ViewTypes, typename DstP, typename CC> struct boost::gil::color_converted_view_type< any_image_view< ViewTypes >, DstP, CC > Returns the type of a runtime-specified view, color-converted to a given pixel type with user specified color converter.
## Public Types
typedef any_image_view< typename detail::views_get_ccv_type< ViewTypes, DstP, CC >::type > | type
The documentation for this struct was generated from the following file: extension/dynamic_image/image_view_factory.hpp